Specifies the number of characters into a document to look for suitable snippets

- « SolrQuery::setHighlightMaxAlternateFieldLength

- SolrQuery::setHighlightMergeContiguous »

- PHP Manual
- SolrQuery
- Specifies the number of characters into a document to look for suitable snippets

# SolrQuery::setHighlightMaxAnalyzedChars

(PECL solr >= 0.9.2)

SolrQuery::setHighlightMaxAnalyzedChars — Specifies the number of characters into a document to look for suitable snippets

### Description

public SolrQuery::setHighlightMaxAnalyzedChars(int `$value`): SolrQuery

Specifies the number of characters into a document to look for suitable snippets

### Parameters

`value`

  The number of characters into a document to look for suitable snippets

### Return Values

Returns the current SolrQuery object, if the return value is used.